Subject: Re: bug#25309: 11.89.8; multi-level script fontification stacks incorrectly

From: jfbu <[email-masked]>
Date: Thu, 12 Jan 2017 21:43:04 +0100

Le 12/01/2017 à 20:40, Mosè Giordano a écrit :
> 2017-01-12 20:08 GMT+01:00 jfbu <[email-masked]>:
>> I get the script raising to work fine, but under the condition
>> of typing explicitely braces, i.e.
>>
>> \( x^{y^{z^a_b}} \)
>>
>> does the expected thing from the docs after having set to
>> multi-level the ‘font-latex-fontify-script’, but the thing
>> about electric scripts does not seem to work
>>
>> \( x^y_z \) does not insert the braces while typing
>> even with
>>
>> % Local variables:
>> % TeX-electric-sub-and-superscript: t
>> % End:
>
> Does the equation "\( x^y_z \)" start at the beginning of the buffer?
> `texmathp' cannot recognize math mode \(...\) starting at bob.  In any
> other place it should work fine.  If this is not the culprit, please
> open a new issue.
>

Mystery solved. (I had to cook dinner and then I paid my dues
to politicians on TV -- for a short while)

Looking again at your message the `texmathp' rang a bell

(some problem we discussed here months ago, which I have forgotten
now)

turns out I had this setting:

texmathp-search-n-paragraphs is a variable defined in ‘texmathp.el’.
Its value is 0
Original value was 2

setting it back to 2 solves the issue.

Best wishes,

Jean-François